Chapter 13. namespacequota


Namespacequota.

13.1. listUserQuota

List User Quota.

13.1.1. GET /api/v1/user/quota

Authorizations: oauth2_implicit (user:admin)

13.1.2. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

13.1.3. Example command

$ curl -X GET "https://<quay-server.example.com>/api/v1/user/quota" \
  -H "Authorization: Bearer <access_token>"

13.2. getOrganizationQuotaLimit

Get Organization Quota Limit.

Authorizations: 

13.2.2. Path parameters

TypeNameDescriptionSchema

path

quota_id

required

 

string

path

limit_id

required

 

string

path

orgname

required

 

string

13.2.3. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

13.2.4. Example command

$ curl -X GET "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>/limit/<limit_id>" \
     -H "Authorization: Bearer <access_token>"

13.3. changeOrganizationQuotaLimit

Change Organization Quota Limit.

Authorizations: oauth2_implicit (super:user)

13.3.2. Path parameters

TypeNameDescriptionSchema

path

quota_id

required

 

string

path

limit_id

required

 

string

path

orgname

required

 

string

13.3.3. Request body schema (application/json)

Description of changing organization quota limit

NameDescriptionSchema

type

optional

Type of quota limit: "Warning" or "Reject"

string

threshold_percent

optional

Quota threshold, in percent of quota

integer

13.3.4. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

13.3.5. Example command

$ curl -X PUT "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>/limit/<limit_id>" \
     -H "Authorization: Bearer <access_token>" \
     -H "Content-Type: application/json" \
     -d '{
           "type": "<type>",
           "threshold_percent": <threshold_percent>
         }'

13.4. deleteOrganizationQuotaLimit

Delete Organization Quota Limit.

Authorizations: oauth2_implicit (super:user)

13.4.2. Path parameters

TypeNameDescriptionSchema

path

quota_id

required

 

string

path

limit_id

required

 

string

path

orgname

required

 

string

13.4.3. Responses

HTTP CodeDescriptionSchema

204

Deleted

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

13.4.4. Example command

$ curl -X DELETE "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>/limit/<limit_id>" \
     -H "Authorization: Bearer <access_token>"

13.5. createOrganizationQuotaLimit

Create Organization Quota Limit.

Authorizations: oauth2_implicit (super:user)

13.5.2. Path parameters

TypeNameDescriptionSchema

path

quota_id

required

 

string

path

orgname

required

 

string

13.5.3. Request body schema (application/json)

Description of a new organization quota limit

NameDescriptionSchema

type

required

Type of quota limit: "Warning" or "Reject"

string

threshold_percent

required

Quota threshold, in percent of quota

integer

13.5.4. Responses

HTTP CodeDescriptionSchema

201

Successful creation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

13.5.5. Example command

$ curl -X POST "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>/limit" \
     -H "Authorization: Bearer <access_token>" \
     -H "Content-Type: application/json" \
     -d '{
           "limit_bytes": 21474836480,
           "type": "Reject",
           "threshold_percent": 90
         }'

13.6. listOrganizationQuotaLimit

List Organization Quota Limit.

Authorizations: 

13.6.2. Path parameters

TypeNameDescriptionSchema

path

quota_id

required

 

string

path

orgname

required

 

string

13.6.3. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

13.6.4. Example command

$ curl -X GET "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>/limit" \
     -H "Authorization: Bearer <access_token>"

13.7. getUserQuotaLimit

Get User Quota Limit.

Authorizations: oauth2_implicit (user:admin)

13.7.2. Path parameters

TypeNameDescriptionSchema

path

quota_id

required

 

string

path

limit_id

required

 

string

13.7.3. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

13.7.4. Example command

$ curl -X GET "https://<quay-server.example.com>/api/v1/user/quota/{quota_id}/limit/{limit_id}" \
  -H "Authorization: Bearer <access_token>"

13.8. listUserQuotaLimit

List User Quota Limit.

13.8.1. GET /api/v1/user/quota/{quota_id}/limit

Authorizations: oauth2_implicit (user:admin)

13.8.2. Path parameters

TypeNameDescriptionSchema

path

quota_id

required

 

string

13.8.3. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

13.8.4. Example command

$ curl -X GET "https://<quay-server.example.com>/api/v1/user/quota/{quota_id}/limit" \
  -H "Authorization: Bearer <access_token>"

13.9. getOrganizationQuota

Get Organization Quota.

Authorizations: 

13.9.2. Path parameters

TypeNameDescriptionSchema

path

quota_id

required

 

string

path

orgname

required

 

string

13.9.3. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

13.9.4. Example command

$ curl -X GET "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>" \
     -H "Authorization: Bearer <access_token>"S

13.10. changeOrganizationQuota

Change Organization Quota.

Authorizations: oauth2_implicit (super:user)

13.10.2. Path parameters

TypeNameDescriptionSchema

path

quota_id

required

 

string

path

orgname

required

 

string

13.10.3. Request body schema (application/json)

Description of a new organization quota

NameDescriptionSchema

limit_bytes

optional

Number of bytes the organization is allowed

integer

limits

optional

Human readable storage capacity of the organization. Accepts SI units like Mi, Gi, or Ti, as well as non-standard units like GB or MB. Must be mutually exclusive with limit_bytes.

string

13.10.4. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

13.10.5. Example command

$ curl -X PUT "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>" \
     -H "Authorization: Bearer <access_token>" \
     -H "Content-Type: application/json" \
     -d '{
         "limit_bytes": <limit_in_bytes>
     }'

13.11. deleteOrganizationQuota

Delete Organization Quota.

Authorizations: oauth2_implicit (super:user)

13.11.2. Path parameters

TypeNameDescriptionSchema

path

quota_id

required

 

string

path

orgname

required

 

string

13.11.3. Responses

HTTP CodeDescriptionSchema

204

Deleted

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

13.11.4. Example command

$ curl -X DELETE "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>" \
     -H "Authorization: Bearer <access_token>"

13.12. createOrganizationQuota

Create a new organization quota.

13.12.1. POST /api/v1/organization/{orgname}/quota

Authorizations: oauth2_implicit (super:user)

13.12.2. Path parameters

TypeNameDescriptionSchema

path

orgname

required

 

string

13.12.3. Request body schema (application/json)

Description of a new organization quota

NameDescriptionSchema

limit_bytes

required

Number of bytes the organization is allowed

integer

limits

optional

Human readable storage capacity of the organization. Accepts SI units like Mi, Gi, or Ti, as well as non-standard units like GB or MB. Must be mutually exclusive with limit_bytes.

string

13.12.4. Responses

HTTP CodeDescriptionSchema

201

Successful creation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

13.12.5. Example command

$ curl -X POST "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota" \
     -H "Authorization: Bearer <access_token>" \
     -H "Content-Type: application/json" \
     -d '{
         "limit_bytes": 10737418240,
         "limits": "10 Gi"
     }'

13.13. listOrganizationQuota

List Organization Quota.

13.13.1. GET /api/v1/organization/{orgname}/quota

Authorizations: 

13.13.2. Path parameters

TypeNameDescriptionSchema

path

orgname

required

 

string

13.13.3. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

13.13.4. Example command

$ curl -k -X GET -H "Authorization: Bearer <token>" -H 'Content-Type: application/json'  https://<quay-server.example.com>/api/v1/organization/<organization_name>/quota

13.14. getUserQuota

Get User Quota.

13.14.1. GET /api/v1/user/quota/{quota_id}

Authorizations: oauth2_implicit (user:admin)

13.14.2. Path parameters

TypeNameDescriptionSchema

path

quota_id

required

 

string

13.14.3. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

13.14.4. Example command

$ curl -X GET "https://<quay-server.example.com>/api/v1/user/quota/{quota_id}" \
  -H "Authorization: Bearer <access_token>"
Red Hat logoGithubRedditYoutubeTwitter

Learn

Try, buy, & sell

Communities

About Red Hat

We deliver hardened solutions that make it easier for enterprises to work across platforms and environments, from the core datacenter to the network edge.

Making open source more inclusive

Red Hat is committed to replacing problematic language in our code, documentation, and web properties. For more details, see the Red Hat Blog.

About Red Hat Documentation

Legal Notice

Theme

© 2026 Red Hat
Back to top